libzypp 17.37.10

ztui::ansi::Color::Comp Union Reference

## Public Member Functions
| Comp ()
| Comp (Attr attr_r, Fg fg_r, Bg bg_r)

## Public Attributes
struct { |
Color::Attr attr |
Color::Fg fg |
Color::Bg bg |
std::uint8_t _f |
}; |
UidType | uid

## Detailed Description

Definition at line 449 of file ansi.h.

## Constructor & Destructor Documentation

## ◆ Comp() [1/2]

ztui::ansi::Color::Comp::Comp | ( |  | ) |
| inline

Definition at line 450 of file ansi.h.

## ◆ Comp() [2/2]

ztui::ansi::Color::Comp::Comp | ( | Attr | attr_r,
|  | Fg | fg_r,
|  | Bg | bg_r )
| inline

Definition at line 454 of file ansi.h.

## Member Data Documentation

## ◆ attr

Color::Attr ztui::ansi::Color::Comp::attr

Definition at line 459 of file ansi.h.

## ◆ fg

Color::Fg ztui::ansi::Color::Comp::fg

Definition at line 460 of file ansi.h.

## ◆ bg

Color::Bg ztui::ansi::Color::Comp::bg

Definition at line 461 of file ansi.h.

## ◆ _f

std::uint8_t ztui::ansi::Color::Comp::_f

Definition at line 462 of file ansi.h.

## ◆ [struct]

struct { ... } ztui::ansi::Color::Comp

## ◆ uid

UidType ztui::ansi::Color::Comp::uid

Definition at line 464 of file ansi.h.

The documentation for this union was generated from the following file:

- zypp-tui/utils/ansi.h